Subject: bug#69983: Use category for display-buffer-alist

From: Juri Linkov <[email-masked]>
Date: Fri, 12 Apr 2024 19:50:55 +0300

>> Adding hundreds of separate options for every display-buffer call
>> makes no sense.
>
> Adding hundreds of separate options indeed doesn't make sense, but I
> suggested to add just one.

The point of this bug report is to remove options, not to add a new ones.

> In addition:
>
>   . you haven't addressed my comments that currently we don't even
>     document that warnings.el uses display-buffer (and neither do I
>     think we _should_ document that);

I agree, this should be documented.  Then problem solved.

>   . you haven't explained what kind of behavior change would you like
>     to make in how warnings.el displays the warnings, without which
>     I'm not even sure I understand the intended change of behavior

The problem of the users of horizontally split windows
is that the warning buffer pops up in unpredictable places,
thus disrupting the user's window layout.

The proposed change is to always display the warning buffer at the bottom
where most contemporary IDEs are displaying such information.